Package com.independentsoft.office.word

# Class EmbeddedObject

java.lang.Object
com.independentsoft.office.word.EmbeddedObject

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class EmbeddedObject extends Object implements IRunContent
The Class EmbeddedObject.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedObject()`
  Instantiates a new embedded object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddedObject`
  `clone()`
  `List<IVmlElement>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `int`
  `getHeight()`
  Gets the height.
  `int`
  `getWidth()`
  Gets the width.
  `void`
  `setHeight​(int height)`
  Sets the height.
  `void`
  `setWidth​(int width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddedObject

    public EmbeddedObject()
    Instantiates a new embedded object.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public EmbeddedObject clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getWidth

    public int getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(int width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getHeight

    public int getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(int height)
    Sets the height.
    Parameters:
      `height` - the new height

  - ### getContent

    public List<IVmlElement> getContent()
    Gets the content.
    Returns:
      the content